Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class FindVmpResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.dics.protocol.v3.FindVmpResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:49:17+01:00",
               comments="JAXB RI v2.2.11")
    public class FindVmpResponse

extends StatusResponseType
implements Serializable

Java class for FindVmpResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVmpResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="Vmp" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultVmpType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="SearchDate" use="required" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindVmpResponse()`

Method Summary
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`List<ConsultVmpType>` | `getVmps()` Gets the value of the vmps property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindVmpResponse

    public FindVmpResponse()

Method Detail

### getVmps

    public List<ConsultVmpType> getVmps()

  Gets the value of the vmps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the vmps property.

  For example, to add a new item, do as follows:

          getVmps().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultVmpType`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.